From: Serhiy Storchaka <storchaka@gmail.com>
Date: Tue, 12 Dec 2017 19:03:08 +0200
Subject: Fix implementation dependent assertion in test_plistlib. (#4813)

It is failed with an advanced optimizer.
---
 Lib/test/test_plistlib.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/Lib/test/test_plistlib.py b/Lib/test/test_plistlib.py
index cd39c13..c9719e3 100644
--- a/Lib/test/test_plistlib.py
+++ b/Lib/test/test_plistlib.py
@@ -322,7 +322,8 @@ class TestPlistlib(unittest.TestCase):
                     'second': [1, 2],
                     'third': [3, 4],
                 })
-                self.assertIsNot(pl2['first'], pl2['second'])
+                if fmt != plistlib.FMT_BINARY:
+                    self.assertIsNot(pl2['first'], pl2['second'])
 
     def test_list_members(self):
         pl = {
